require 'dream'

module Thunderstorm
  class Cloud
    def initialize(cloud, dream)
      @spectre = Dream::Spectre.new(dream)
    end
    def rain()
      @spectre.record_start()
      @spectre.record(@spectre.info, 'A storm is rolling in')
      @spectre.record(@spectre.info, 'The storm changed direction and nothing will be affected')
      @spectre.record(@spectre.success, 'The skies have cleared')
      @spectre.record_finished()
      @spectre.record(@spectre.info, '[================]')
      @spectre.record(@spectre.started, "#{@spectre.started}")
      @spectre.record(@spectre.finished, "#{@spectre.finished}")
    end
    def shine()
      return @spectre.manuscript()
    end
  end
end
